!set title=Generador y dependencia
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c,c,c
varcnt=33
prevarcnt=32
postvarcnt=0
replycnt=0
choicecnt=3
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!htmlmath E

val6=$(tmp0)
tmp0=!htmlmath S

val7=$(tmp0)
val8=vectores linealmente independientes en $val6
val9=vectores que generan $val6
val10=vectores en $val6
val11=Hay un vector en $val7 que es combinación lineal de otros	vectores de $val7
val12=Algún vector en $val6 es una combinación lineal de vectores en $val7
tmp=!nonempty items $val7 contiene al vector 0, Hay dos vectores proporcionales	en $val7

tmp0=!randitem $tmp
val13=$(tmp0)
val14=Hay una base de $val6 que contiene a $val7 como un subconjunto
tmp=!nonempty items Hay un subconjunto de $val7 que es una base de $val6,	 $val7 contiene una base de $val6

tmp0=!randitem $tmp
val15=$(tmp0)
val16=$val11,$val12,$val13,$val14,$val15
val17=Sí&#44; es cierto siempre
val18=No&#44; nunca es cierto
val19=Esto depende de $val7
val20=$val17,$val18,$val19
tmp0=!randint 20, 40

val21=$[rint($(tmp0))]
tmp0=!randint $val21/5, $val21-1

val22=$[rint($(tmp0))]
tmp0=!randint $val21+1, $val21*2

val23=$[rint($(tmp0))]
tmp=!trim $val22,$val8, 2,2,2,1,2	 $val23,$val9, 1,1,3,2,1	 $val21,$val8, 2,1,2,1,1	 $val21,$val9, 2,1,2,1,1	 $val22,$val10, 3,2,3,3,2	 $val23,$val10, 1,3,3,2,3	 $val21,$val10, 3,3,3,3,3	
val24=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val24

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val24=$(tmp0)
tmp0=!item 1 of $val24

val25=$[rint($(tmp0))]
tmp0=!item 2 of $val24

val26=$(tmp0)
tmp0=!shuffle 5

val27=$(tmp0)
tmp0=!item 1 of $val27

val28=$[rint($(tmp0))]
tmp0=!item 2 of $val27

val29=$[rint($(tmp0))]
tmp0=!item 3 of $val27

val30=$[rint($(tmp0))]
tmp0=!item $val28 of $val16

val31=$(tmp0)
tmp0=!item $val29 of $val16

val32=$(tmp0)
tmp0=!item $val30 of $val16

val33=$(tmp0)
tmp0=!item $val28+2 of $val24

tmp1=!item $(tmp0) of $val20

val34=$(tmp1)
tmp0=!item $val29+2 of $val24

tmp1=!item $(tmp0) of $val20

val35=$(tmp1)
tmp0=!item $val30+2 of $val24

tmp1=!item $(tmp0) of $val20

val36=$(tmp1)
choicename1=Choice 1
choicegood1=$val34
choicebad1=$val20
choicename2=Choice 2
choicegood2=$val35
choicebad2=$val20
choicename3=Choice 3
choicegood3=$val36
choicebad3=$val20
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sea $val6 un espacio vectorial de dimensión $val21, y sea	$val7 un conjunto de $val25 $val26. Estudiar la veracidad de las siguientes	afirmaciones.		<p><center><table border=0 width=85%>	<tr><td>$val31.<td> 
!read oef/embed.phtml choice 1 
$()	<tr><td>$val32.<td> 
!read oef/embed.phtml choice 2 
$()	<tr><td>$val33.<td> 
!read oef/embed.phtml choice 3 
$()	</table></center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,21,25,26,31,32,33
embedcnt=3
